> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Check if authenticated user is subscribed to partner webhooks

> Allows the authenticated user to check if they are subscribed to a partner's webhook notifications.



## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/webhooks/subscription/{partnerId}
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/webhooks/subscription/{partnerId}:
    get:
      tags:
        - Webhooks
      summary: Check if authenticated user is subscribed to partner webhooks
      description: >-
        Allows the authenticated user to check if they are subscribed to a
        partner's webhook notifications.
      parameters:
        - in: path
          name: partnerId
          required: true
          schema:
            type: string
          description: Partner ID to check subscription for
      responses:
        '200':
          description: Subscription status retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  subscribed:
                    type: boolean
                    description: >-
                      Whether the authenticated user is subscribed to the
                      partner's webhooks
                  subscriptionId:
                    type: string
                    nullable: true
                    description: ID of the subscription if it exists
        '401':
          description: Authentication required
        '404':
          description: Partner not found
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - BearerAuth: []
components:
  responses:
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error

````